use serde::{Serialize, Deserialize};
use std::io::{self, Write};
use std::fs::File;

use crate::Player;

pub fn save(
	save_file_path: &str, // data/save.json by default
	player: &Player
) -> io::Result<()>
{
	let player_json = serde_json::to_string_pretty(&player).unwrap();


	//println!("Saving...");
	let mut save_file = File::create(save_file_path)?;
	save_file.write_all(player_json.as_bytes())?;
	//println!("Saved...");
	Ok(())
}
